import { OnInit, OnChanges, SimpleChanges, OnDestroy } from '@angular/core';
import { NgxUiLoaderHelperService } from './ngx-ui-loader-helper.service';
import { Subscription } from 'rxjs';
import { NgxUiLoaderConfig } from './ngx-ui-loader-config';
export declare class NgxUiLoaderComponent implements OnChanges, OnDestroy, OnInit {
    private helperService;
    bgsColor: string;
    bgsOpacity: number;
    bgsPosition: string;
    bgsSize: number;
    bgsType: string;
    fgsColor: string;
    fgsPosition: string;
    fgsSize: number;
    fgsType: string;
    logoPosition: string;
    logoSize: number;
    logoUrl: string;
    overlayColor: string;
    pbColor: string;
    pbDirection: string;
    pbThickness: number;
    text: string;
    textColor: string;
    textPosition: string;
    fgDivs: number[];
    fgSpinnerClass: string;
    bgDivs: number[];
    bgSpinnerClass: string;
    showForeground: boolean;
    showBackground: boolean;
    foregroundClosing: boolean;
    backgroundClosing: boolean;
    realTextPosition: string;
    realLogoPosition: string;
    showForegroundWatcher: Subscription;
    showBackgroundWatcher: Subscription;
    foregroundClosingWatcher: Subscription;
    backgroundClosingWatcher: Subscription;
    defaultConfig: NgxUiLoaderConfig;
    private initialized;
    constructor(helperService: NgxUiLoaderHelperService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private initializeSpinners();
    private determinePositions();
    ngOnDestroy(): void;
}
